# MapInfo (onnxruntime 1.15.0 API)

Package ai.onnxruntime

## Class MapInfo

- java.lang.Object
- - ai.onnxruntime.MapInfo

All Implemented Interfaces:
  `ValueInfo`

    public class MapInfo
    extends java.lang.Object
    implements ValueInfo

Describes an `OnnxMap` object or output node.

### Field Summary

Fields
`OnnxJavaType` `keyType` The Java type of the keys.
`int` `size` The number of entries in this map.
`OnnxJavaType` `valueType` The Java type of the values.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### size

    public final int size

The number of entries in this map.

#### keyType

    public final OnnxJavaType keyType

The Java type of the keys.

#### valueType

    public final OnnxJavaType valueType

The Java type of the values.

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`